//====================================================================
//IUS51(In User's System for uProbe51) program
//					Version 1.00
//Copyright @2006 DEEMAX Electronics, Inc.
//
//This file is maintained by DEEMAX Electronics Inc.
//Please DO NOT EDIT any code in this file.
//To change variant options, Modify "ius51Options.h" instead.
//====================================================================
#include <REG52.H>
#include <stdio.h>
#include "IUS51serial.h"
#include "Mon51.h"

//Global variables
extern BYTE ius_byBaudRateId;
//
void iusChangeBaud() small;
void iusrmwANL(BYTE byAdr, BYTE byData);
void iusrmwORL(BYTE byAdr, BYTE byData);

BYTE iusSerialInit() small
{
	BYTE byColdStart;
	iusINIT_SERIAL
	byColdStart= FALSE;
	switch(ius_byBaudRateId)
	{
#ifdef ius_BR4800
	case ius_Query4800:
#endif
#ifdef ius_BR9600
	case ius_Query9600:
#endif
#ifdef ius_BR19200
	case ius_Query19200:
#endif
#ifdef ius_BR38400
	case ius_Query38400:
#endif
#ifdef ius_BR57600
	case ius_Query57600:
#endif
#ifdef ius_BR115200
	case ius_Query115200:
#endif
#ifdef ius_BR230400
	case ius_Query230400:
#endif
		break;//Warm Start
	default:
		ius_byBaudRateId= ius_Query9600;//Cold Start
		byColdStart= TRUE;
	}
	iusChangeBaud();
	SET_SERIAL_INT_PRIORITY
	IE |= ius_bitES;
	return byColdStart;
}

void iusChangeBaud() small
{//Change baud rates as ius_byBaudRateId and trigger the baud rate timer
	iusSerialTimerTrigger(0);
	switch (ius_byBaudRateId)
	{
	#ifdef ius_BR230400
	case ius_Query230400:
		iusBaudTimer= ius_v230400;
		ius_SetupTimeBase230400
		break;
	#endif
	#ifdef ius_BR115200
	case ius_Query115200:
		iusBaudTimer= ius_v115200;
		ius_SetupTimeBase115200
		break;
	#endif
	#ifdef ius_BR57600
	case ius_Query57600:
		iusBaudTimer= ius_v57600;
		ius_SetupTimeBase57600
		break;
	#endif
	#ifdef ius_BR38400
	case ius_Query38400:
		iusBaudTimer= ius_v38400;
		ius_SetupTimeBase38400
		break;
	#endif
	#ifdef ius_BR19200
	case ius_Query19200:
		iusBaudTimer= ius_v19200;
		ius_SetupTimeBase19200
		break;
	#endif
	#ifdef ius_BR9600
	case ius_Query9600:
		iusBaudTimer= ius_v9600;
		ius_SetupTimeBase9600
		break;
	#endif
	#ifdef ius_BR4800
	case ius_Query4800:
		iusBaudTimer= ius_v4800;
		ius_SetupTimeBase4800
		break;
	#endif
	}
	iusSerialTimerTrigger(1);
}

BYTE iusQueryBaud(BYTE iusQuery) small
{
	switch (iusQuery)
	{
#ifdef ius_BR4800
		case ius_Query4800:
		return TRUE;
#endif
#ifdef ius_BR9600
	case ius_Query9600:
#endif
#ifdef ius_BR19200
	case ius_Query19200:
#endif
#ifdef ius_BR38400
	case ius_Query38400:
#endif
#ifdef ius_BR57600
	case ius_Query57600:
#endif
#ifdef ius_BR115200
	case ius_Query115200:
#endif
#ifdef ius_BR230400
	case ius_Query230400:
#endif
	return TRUE;
	}
	return FALSE;
}



