//==========================================================================
//User's Module:
//The user can write initial codes, export functions and interrupt
//service routine in this module.
//Note:
//	Don't change the IUS serial's setting:
//		Use Timer1 (ius_BaudRateUseTimer=1):
//			TMOD bit4~7, TH1, SM0, SM1, REN, TR1
//		Use Timer2 (ius_BaudRateUseTimer=2):
//			RCAP2L, RCAP2H, TR2, TCLK, RCLK, REN
//	All of user's functions must restore EA,ES status before return.
//  A function name prefixed "ius" is reserverd for IUS system.
//  Don't prefix "ius" on user's export function.
//
//IUS memory scheme(IDATA):
//	0-->                                       |->0x70
//	-----------------------------------------------------------------------
//	|    System Data     |    Stack Buffer     | Never used by IUS system |
//	-----------------------------------------------------------------------
//	|<- sizeof(System Data)+STACK_LEN ->|^-----User's data from here
//
//Note if you want share the user's data for Vision51, Declare the data as
//absolute memory location.
//Example:
// char data MyShareVar _at_ 0x7F; // must greate than 0x70
// then set D:0x7F map as UM in the Vision51.
// Now D:0x7F is ready accessed by Vision51 & IUS51.   
//==========================================================================
#include <REG52.H>
#include "Mon51.h"

void iusUserInit() small
{
//Write dependent user's initial codes at here.

}


